# Sprites for Games

import pygame
import random
import math

# Provides a background display
# Draws an image that fills the background of the screen

class Background:

    # Initialise the Background object
    #    limit - a tuple giving size of the screen
    #    image - the image to be drawn
    def __init__(self, limit, image):
        # Scale and store the image in a property called image
        self.image = pygame.transform.scale(image, limit)

    # Draws the target on the screen at its current position
    def draw(self, surface):
        surface.blit(self.image, (0,0))

    # Gets the name of this sprite
    def getName(self):
        return "background"

    # Gets the description of this sprite
    def getDescription(self):
        return "A background that fills the entire screen"

